Bug 270096 - Release HTML/Java 1.4 and include it in NetBeans 9
Release HTML/Java 1.4 and include it in NetBeans 9
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Html4j
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 17:53 UTC by Jaroslav Tulach
Modified: 2017-04-01 03:14 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
html-java-api$ git diff -r origin/donation_review...release-1.4 (71.57 KB, patch)
2017-03-30 03:05 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2017-03-16 17:53:07 UTC
It has been a while since previous release (http://wiki.netbeans.org/Html4Java) - actually a year and it is time to release new version with bugfixes and also include it in NetBeans 9.

The HTML/Java code is stable and there wasn't much changes:

New features in version 1.4
Both values null and undefined are treated as null. Better behavior under multi-threaded load. Integration with Truffle. Workaround for garbage collector behavior of modern JavaFX WebView implementations (JDK8 u112 and newer). JavaFX Presenter can show popup window. Development has switched to Git repository thanks to conversion by Emilian Bold. 


The risk of upgrade shall be low http://bits.netbeans.org/html+java/dev/
Comment 1 Jaroslav Tulach 2017-03-28 13:19:18 UTC
The bits are ready for testing at:
https://maven.java.net/content/repositories/orgapidesign-1059/
Comment 2 Jaroslav Tulach 2017-03-30 02:54:48 UTC
The binaries are updated by: http://hg.netbeans.org/ergonomics/rev/9731247e58df
Comment 3 Jaroslav Tulach 2017-03-30 03:05:20 UTC
Created attachment 163978 [details]
html-java-api$ git diff -r origin/donation_review...release-1.4

These are the changes done since the last review up to the new version 1.4
Comment 4 Jaroslav Tulach 2017-03-31 03:37:33 UTC
One test needed a fix:
http://hg.netbeans.org/ergonomics/rev/c1ab75e9f8a7
Comment 5 Jaroslav Tulach 2017-03-31 12:25:27 UTC
Release 1.4 is in: http://hg.netbeans.org/main-silver/rev/9731247e58df
Comment 6 Quality Engineering 2017-04-01 03:14:14 UTC
Integrated into 'main-silver', will be available in build *201704010002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9731247e58df
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #270096: HTML/Java 1.4 co-ordinates


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo